wmMand(6)

NAME
wmMand - Dockable Mandelbrot browser

SYNOPSIS
wmMand [-h, --help] [-z, --zoom <factor>] [-i, --iterations <number>] [-l, --largesize <number>] [-d, --delayzoom <number>] [-x, -xv]

DESCRIPTION

wmMand is a dockable Mandelbrot fractal browser or explorer. The window initially comes up with the whole Mandelbrot set in view. The mouse buttons can be used to zoom into or out of the set. Use the left mouse button to zoom in, and the right button to zoom out. The view window is recentered to a point roughly half way from the center to the point clicked. You can also zoom in and out without recentering using a scrollwheel.

Pressing the middle mouse button or 'b' on the keyboard brings up a button bar that allows the user to change color tables (button 'C' on the bar), change the maximum number of iterations (the button with numbers in it), reset to initial view (button 'R'), and show a larger version of the image with imagemagick's "display" or "xv" (button 'V'). The 'M' button is currently unused. When clicking on buttons that iterate through a range of values (such as 'C' and the "iterations" button), the left button moves in one direction and the right moves in the other.

When the mouse is over the window, pressing certain keys on the keyboard will also have some effects, as follows:

arrow and NumberPad keys
    Move the view based on the zoom factor

z, +, NumberPad 5
    Zoom in

o, -, NumberPad 0
    Zoom out

c   Cycle colour table (palette)

v   View large image with ImageMagick's "display" program (or "xv" if started with the -x or --xv command line option)

r   Reset to initial view

i   Change max iterations (double in value up to 2048, then back to 64)

b   Show/hide button bar

x   View current view with XaoS (if installed), using the size given by the largesize value. Note that due to rounding off at high levels of zoom the image displayed may be somewhat offset. Also differences in the palette can be striking.

q   Attempt to "ungrab" the mouse if something bad happens and it won't release automatically

A higher number of iterations will allow you to look deeper in the fractal. However, if you feel yourself limited by wmMand, check out the 'XaoS' program by Jan Hubicka (http://xaos.sourceforge.net). Personally I think they complement each other nicely.

OPTIONS

-h, --help
    Display list of command-line options.

-z, --zoom <factor>
    Set zoom factor. Default is 1.2.

-i, --iterations <number>
    Set initial maximum iterations (default 256). Possible values are 64, 128, 256, 512, 1024 or 2048.

-l, --largesize <number>
    Set the size of the large image displayed. The large image is always square, so only one number is required. Default is 540.

-d, --delayzoom <number>
    Set the amount of delay when autozooming. The higher the number, the greater the delay between updates. Default is 10.

-x, -xv
    Use the program "xv" instead of "display" to view the large fractal image. Please note that the resulting image will be exactly the same either way.

BUGS

It has been known to "swallow" the pointer,and not release it. This can usually be rectified by pressing 'q' or 'ESC', or the combination CTRL-ALT-'/' (the numberpad divide key), unless that option has been disabled on your system.

TODO

Enable 'M' button to change fractal type. Use antialiasing for the large image (and maybe the small)

AUTHORS
Michael G. Henderson <mghenderson@lanl.gov>, 15 February 1999

Updated by Pieter-Paul Spiertz <pspiertz@sci.kun.nl>, 14 April 2002

Last updated by Chris Craig <wmmand@ciotog.net>, 16 October 2006